> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nscale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List quotas

> Gets quotas for the organization.



## OpenAPI

````yaml /openapi/identity-openapi.yaml get /api/v1/organizations/{organizationID}/quotas
openapi: 3.0.3
info:
  title: Identity API
  description: >-
    The Identity API provides an OIDC compliant interface for use with all
    official

    and 3rd party services and proxies.  As its intended use is for multi-tenant
    cloud

    deployments, it acts as an aggregation layer for other 3rd party OIDC
    services,

    dispatching login requests to the required OIDC backend.  Token
    introspection forms

    the basis of role based access control across all APIs.  For security
    purposes,

    access tokens and refresh tokens are limited to a single session per client,
    thus

    if they are being consumed by a horizontally scalable platform care must be
    taken

    to ensure token rotation is handled atomically by a single process, and the
    tokens

    are distributed to each service instance synchronously.
  version: 1.11.0
servers:
  - url: https://identity.nks.europe-west4.nscale.com
security: []
paths:
  /api/v1/organizations/{organizationID}/quotas:
    description: >-
      Provides management of resource limits.  These are typically managed by
      the

      platform provider and limit the amount of resources an organization can

      consume.  Quotas provide fair usage on multi-tenant platforms, and can be

      used to limit operational expenditure.  Quotas currently apply to the

      organization as a whole, and cannot be subdivided among projects.
    parameters:
      - $ref: '#/components/parameters/organizationIDParameter'
    get:
      tags:
        - Quotas
      summary: List quotas
      description: Gets quotas for the organization.
      responses:
        '200':
          $ref: '#/components/responses/quotasResponse'
        '401':
          $ref: '#/components/responses/unauthorizedResponse'
        '403':
          $ref: '#/components/responses/forbiddenResponse'
        '500':
          $ref: '#/components/responses/internalServerErrorResponse'
      security:
        - oauth2Authentication: []
components:
  parameters:
    organizationIDParameter:
      name: organizationID
      in: path
      description: An organization ID.
      required: true
      schema:
        type: string
  responses:
    quotasResponse:
      description: Queries the quotas for an organizational unit.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/quotasRead'
          example:
            quotas:
              - kind: clusters
                quantity: 2
                used: 1
                free: 1
                committed: 1
                reserved: 0
                displayName: Clusters
                description: All cluster types e.g. Kubernetes, compute, etc.
                default: 5
    unauthorizedResponse:
      description: Authentication failed or the access token has expired.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: access_denied
            error_description: authentication failed
    forbiddenResponse:
      description: >-
        Request was denied by authorization, this may be caused by the
        authorization

        token not having the required scope for an API, or the user doesn't have
        the

        necessary privileges on the provider platform.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: forbidden
            error_description: user credentials do not have the required privileges
    internalServerErrorResponse:
      description: >-
        An unexpected or unhandled error occurred. This may be a transient error
        and

        may succeed on a retry.  If this isn't the case, please report it as an
        issue.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: server_error
            error_description: failed to token claim
  schemas:
    quotasRead:
      description: A list of quotas.
      type: object
      required:
        - quotas
      properties:
        quotas:
          $ref: '#/components/schemas/quotaReadList'
    error:
      description: Generic error message, compatible with oauth2.
      type: object
      required:
        - error
        - error_description
      properties:
        error:
          description: >-
            A terse error string expanding on the HTTP error code. Errors are
            based on the OAuth 2.02 specification, but are expanded with
            proprietary status codes for APIs other than those specified by
            OAuth 2.02.
          type: string
          enum:
            - invalid_request
            - server_error
            - access_denied
            - not_found
            - conflict
            - method_not_allowed
            - unsupported_media_type
            - request_entity_too_large
            - forbidden
        error_description:
          description: Verbose message describing the error.
          type: string
    quotaReadList:
      description: A list of quotas.
      type: array
      items:
        $ref: '#/components/schemas/quotaRead'
    quotaRead:
      description: A single quota.
      type: object
      required:
        - kind
        - quantity
        - used
        - free
        - committed
        - reserved
        - displayName
        - description
        - default
      properties:
        kind:
          description: The kind of resource.
          type: string
        quantity:
          description: The maximum amount of that resource.
          type: integer
        used:
          description: The amount of that resource that is used.
          type: integer
        free:
          description: The amount of that resource that is free.
          type: integer
        committed:
          description: The amount of that resource always in use.
          type: integer
        reserved:
          description: The amount of that resource that may be used e.g. autoscaled.
          type: integer
        displayName:
          description: The name that should be displayed to end users.
          type: string
        description:
          description: A verbose explanation of what the quota limits.
          type: string
        default:
          description: The default value of the quota.
          type: integer
  securitySchemes:
    oauth2Authentication:
      description: Operation requires OAuth 2.0 bearer token authentication.
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://identity.nks.europe-west4.nscale.com/oauth2/v2/authorization
          tokenUrl: https://identity.nks.europe-west4.nscale.com/oauth2/v2/token
          scopes: {}

````